{#
    LimeSurvey
    Copyright (C) 2007-2017 The LimeSurvey Project Team / Louis Gac
    All rights reserved.
    License: GNU/GPL License v2 or later, see LICENSE.php
    LimeSurvey is free software. This version may have been modified pursuant
    to the GNU General Public License, and as distributed it includes or
    is derivative of works licensed under the GNU General Public License or
    other free or open source software licenses.
    See COPYRIGHT.php for copyright notices and details.

    (¯`·._.·(¯`·._.· Bootstrap Navigation Bar ·._.·´¯)·._.·´¯)

    This file renders a typical bootstrap navigation bar.
    See: https://getbootstrap.com/components/#navbar

    For the survey navigator ("Next", "Back", etc.), see: navigation/navigator.twig
#}

<!-- Bootstrap Navigation Bar -->
{% if(aSurveyInfo.class.navbar) %}
{% if(aSurveyInfo.options.fixedheader == 'on') %}
{{ aSurveyInfo.class.navbar }}
<div class="invisible navbar navbar-inverse navbar-static-top" aria-hidden="true">
    <div class="container-fluid">
        <div class="{{ aSurveyInfo.class.navbarheader }}">
            <div class="{{ aSurveyInfo.class.navbarbrand }} {% if( aSurveyInfo.options.brandlogo == "on") %}with-logo{% endif %}">
                {% if( aSurveyInfo.options.brandlogo == "on") %}
                    <span class="logo-container">
                    {{ image(aSurveyInfo.options.brandlogofile, "", {"class": "logo img-responsive"}) }}
                    </span>
                {% endif %}
                {{ aSurveyInfo.name }}
            </div>
        </div>
    </div>
</div>
{% endif %}
<header class="{{ aSurveyInfo.class.navbar }} {{ (aSurveyInfo.options.fixedheader == 'on') ? 'navbar-fixed-top' : 'navbar-static-top' }} hidden-print" {{ aSurveyInfo.attr.navbar }}>
    <div class="container-fluid">
        <div class="{{ aSurveyInfo.class.navbarheader }}" {{ aSurveyInfo.attr.navbarheader }} >
            {{ include('./subviews/navigation/shortcuts_links.twig') }}
            <button type="button" class="{{ aSurveyInfo.class.navbartoggle }}" {{ aSurveyInfo.attr.navbartoggle }}  >
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <h1 class="{{ aSurveyInfo.class.navbarbrand }} {% if( aSurveyInfo.options.brandlogo == "on") %}with-logo{% endif %}"  {{ aSurveyInfo.attr.navbarbrand }}  >
                {% if( aSurveyInfo.options.brandlogo == "on") %}
                    <span class="logo-container">
                    {{ image(aSurveyInfo.options.brandlogofile, "", {"class": "logo img-responsive"}) }}
                    </span>
                {% endif %}
                {{ pagetitle ?: flatString(processString(aSurveyInfo.surveyls_title,1)) }}

            </h1>
        </div>
        <div id="{{ aSurveyInfo.id.navbar }}" class="{{ aSurveyInfo.class.navbarcollapse }}" {{ aSurveyInfo.attr.navbarcollapse }} >
            <ul class="{{ aSurveyInfo.class.navbarlink }} navbar-right" {{ aSurveyInfo.attr.navbarlink }}>
                {{ include('./subviews/navigation/save_links.twig') }}
                {{ include('./subviews/navigation/clearall_links.twig') }}
                {{ include('./subviews/navigation/question_index_menu.twig') }}
                {{ include('./subviews/navigation/language_changer_top_menu.twig') }}
            </ul>
        </div>
    </div>
</header>
{% endif %}
